## golang-github-kubernetes-gengo 0.0~git20161024.0.6a1c24d

=== debian/changelog ===
golang-github-kubernetes-gengo (0.0~git20161024.0.6a1c24d-1) unstable; urgency=medium

  * Initial release (Closes: #858311)

 -- Tim Potter <tpot@hpe.com>  Tue, 21 Feb 2017 08:56:15 +1100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_configure:
	# Remove .gitignore files otherwise they end up in the examples
	find . -name .gitignore | xargs rm -f
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## golang-github-kubernetes-gengo 0.0~git20170531.0.c79c13d

=== examples/deepcopy-gen/Makefile ===
TOOL=deepcopy-gen

test:
	@if ! git diff --quiet HEAD; then \
	    echo "FAIL: git client is not clean"; \
	    false; \
	fi
	@go build -o /tmp/$(TOOL)
	@PKGS=$$(go list ./output_tests/...  | paste -sd' '); \
	/tmp/$(TOOL) --logtostderr --v=4 -i $$(echo $$PKGS | sed 's/ /,/g') -O zz_generated
	@if ! git diff --quiet HEAD; then \
	    echo "FAIL: output files changed"; \
	    git diff; \
	    false; \
	fi

=== debian/changelog ===
golang-github-kubernetes-gengo (0.0~git20170531.0.c79c13d-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 25 Sep 2017 12:27:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_GOLANG_EXCLUDES := examples
 
 %:
 	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/kubernetes-gengo-$1\.tar\.gz/ \
  https://github.com/kubernetes/gengo/tags .*/v([\d\.]+)\.tar\.gz

## golang-github-kubernetes-gengo 0.0~git20210915.39e73c8

=== debian/changelog ===
golang-github-kubernetes-gengo (0.0~git20210915.39e73c8-2) unstable; urgency=medium

  * Also install examples as there is code out there that depends on them.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 15 Oct 2021 19:26:39 +0200

golang-github-kubernetes-gengo (0.0~git20210915.39e73c8-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Andrej Shadura ]
  * New upstream snapshot.
  * Update dependencies.
  * Make the description start with a lowercase letter.
  * Ignore test failures.
  * Drop no longer necessary patch.
  * Set upstream metadata fields: Security-Contact.
  * Bump Standards-Version to 4.6.0.
  * Update Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 15 Oct 2021 19:20:41 +0200

=== debian/control ===
Source: golang-github-kubernetes-gengo
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-go,
               golang-glog-dev,
               golang-github-davecgh-go-spew-dev,
               golang-github-kr-pretty-dev,
               golang-github-gogo-protobuf-dev,
               golang-github-google-go-cmp-dev,
               golang-github-spf13-pflag-dev,
               golang-gopkg-check.v1-dev,
               golang-golang-x-tools-dev,
               golang-k8s-klog-dev,
               golang-k8s-sigs-yaml-dev,
Standards-Version: 4.6.0
Homepage: https://github.com/kubernetes/gengo
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-gengo
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-gengo.git
XS-Go-Import-Path: k8s.io/gengo

Package: golang-github-kubernetes-gengo-dev
Architecture: all
Provides: golang-k8s-gengo-dev (= ${binary:Version})
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-glog-dev,
         golang-github-davecgh-go-spew-dev,
         golang-github-kr-pretty-dev,
         golang-github-gogo-protobuf-dev,
         golang-github-google-go-cmp-dev,
         golang-github-spf13-pflag-dev,
         golang-gopkg-check.v1-dev,
         golang-golang-x-tools-dev,
         golang-k8s-klog-dev,
         golang-k8s-sigs-yaml-dev,
Description: library for generating code based on Go files
 The gengo library implements a code generation system for Go files
 used by Kubernetes. It is more than a dumb template library and is
 informed by the Go language's syntax, type and naming conventions
 when generating code.
 .
 The gengo library can build code using the following generators:
 .
   * set
   * deep-copy
   * defaulter
   * go-to-protobuf
 .
 Gengo was first used in Kubernetes and is split out into a separate
 library for ease of reuse and maintainability.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --buildsystem=golang

override_dh_auto_configure:
	# Remove .gitignore files otherwise they end up in the examples
	find . -name .gitignore | xargs rm -f
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:
	-dh_auto_test

## golang-github-kubernetes-gengo 0.0~git20230829.9cce18d

=== debian/changelog ===
golang-github-kubernetes-gengo (0.0~git20230829.9cce18d-2) unstable; urgency=medium

  * Team upload.
  * Install examples, golang-k8s-kube-openapi uses them

 -- Jérémy Lal <kapouer@melix.org>  Tue, 26 Dec 2023 13:54:49 +0100

golang-github-kubernetes-gengo (0.0~git20230829.9cce18d-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20230829.9cce18d
  * copyright: remove paragraph and useless license
  * Standards-Version: 4.6.2
  * patch: fix test
  * rules: simplify install, enable tests
  * install: let dh_golang install automatically
  * section: golang
  * maintainer: update go-team email address
  * rules-require-root: no
  * testsuite: autopkgtest-pkg-go
  * b-d, d: golang-any
  * multi-arch: foreign

 -- Jérémy Lal <kapouer@melix.org>  Tue, 26 Dec 2023 13:16:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: golang-github-kubernetes-gengo
-Section: devel
+Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tim Potter <tpot@hpe.com>
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-go,
+               golang-any (>= 2:1.15~),
                golang-glog-dev,
                golang-github-davecgh-go-spew-dev,
                golang-github-kr-pretty-dev,
+               golang-github-google-gofuzz-dev,
                golang-github-gogo-protobuf-dev,
                golang-github-google-go-cmp-dev,
                golang-github-spf13-pflag-dev,
@@ -16,7 +18,8 @@
                golang-golang-x-tools-dev,
                golang-k8s-klog-dev,
                golang-k8s-sigs-yaml-dev,
-Standards-Version: 4.6.0
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.6.2
 Homepage: https://github.com/kubernetes/gengo
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-gengo
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-gengo.git
@@ -24,13 +27,13 @@
 
 Package: golang-github-kubernetes-gengo-dev
 Architecture: all
+Multi-Arch: foreign
 Provides: golang-k8s-gengo-dev (= ${binary:Version})
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         golang-go,
+Depends: ${misc:Depends},
          golang-glog-dev,
          golang-github-davecgh-go-spew-dev,
          golang-github-kr-pretty-dev,
+         golang-github-google-gofuzz-dev,
          golang-github-gogo-protobuf-dev,
          golang-github-google-go-cmp-dev,
          golang-github-spf13-pflag-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := testdata examples

%:
	dh $@ --buildsystem=golang

execute_after_dh_install:
	find debian/ -name .gitignore -delete

execute_after_dh_installexamples:
	find debian/ -name .gitignore -delete

override_dh_auto_install:
	dh_auto_install -- --no-binaries

## golang-github-kubernetes-gengo 0.0~git20250207.1244d31

=== Makefile ===
all:
	go build ./...
	make -C v2 all

test:
	go test -race ./...
	go -C ./examples/defaulter-gen/output_tests test ./...
	make -C v2 test

# We verify for the maximum version of the go directive as 1.20
# here because the oldest go directive that exists on our supported
# release branches in k/k is 1.20.
verify:
	./hack/verify-examples.sh
	./hack/verify-go-directive.sh 1.20
	make -C v2 verify

=== debian/changelog ===
golang-github-kubernetes-gengo (0.0~git20250207.1244d31-1) unstable; urgency=medium

  [ Nicolas Peugnet ]
  * Team upload.
  * New upstream version 0.0~git20250207.1244d31
  * Do not build examples to prevent circular dependencies
  * Rediff patches
  * Fix loading packages with Go modules disabled
  * Update copyright years
  * Apply the team recommended wrap-and-sort -ta
  * Remove unused dependencies
  * Bump standards version, no changes needed

 -- Simon Josefsson <simon@josefsson.org>  Sun, 16 Mar 2025 21:31:23 +0100

=== debian/control ===
Source: golang-github-kubernetes-gengo
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.15~),
               golang-github-davecgh-go-spew-dev,
               golang-github-google-go-cmp-dev,
               golang-github-google-gofuzz-dev,
               golang-github-spf13-pflag-dev,
               golang-golang-x-tools-dev,
               golang-k8s-klog-dev,
               golang-k8s-sigs-yaml-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Homepage: https://github.com/kubernetes/gengo
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-gengo
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-gengo.git
XS-Go-Import-Path: k8s.io/gengo

Package: golang-github-kubernetes-gengo-dev
Architecture: all
Multi-Arch: foreign
Provides: golang-k8s-gengo-dev (= ${binary:Version}),
Depends: golang-github-davecgh-go-spew-dev,
         golang-github-google-go-cmp-dev,
         golang-github-google-gofuzz-dev,
         golang-github-spf13-pflag-dev,
         golang-golang-x-tools-dev,
         golang-k8s-klog-dev,
         golang-k8s-sigs-yaml-dev,
         ${misc:Depends},
Description: library for generating code based on Go files
 The gengo library implements a code generation system for Go files
 used by Kubernetes. It is more than a dumb template library and is
 informed by the Go language's syntax, type and naming conventions
 when generating code.
 .
 The gengo library can build code using the following generators:
 .
   * set
   * deep-copy
   * defaulter
   * go-to-protobuf
 .
 Gengo was first used in Kubernetes and is split out into a separate
 library for ease of reuse and maintainability.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DH_GOLANG_INSTALL_EXTRA := testdata examples
+export DH_GOLANG_EXCLUDES := examples
 
 %:
 	dh $@ --buildsystem=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/kubernetes/gengo.git \
  HEAD debian
